%define oname	biopython
# we don't want to provide private python extension libs
%define _exclude_files_from_autoprov %{python_sitearch}/.*\\.so\\|%{python3_sitearch}/.*\\.so

Summary:	The Biopython Project
Name:		python-biopython
Version:	1.66
Release:	%mkrel 3
Epoch:		1
Source0:	http://biopython.org/DIST/%{oname}-%{version}.tar.gz
License:	BSD
Group:		Sciences/Biology
Url:		http://biopython.org/
Requires:	python-numpy
BuildRequires:	flex
BuildRequires:	python-reportlab
BuildRequires:	python-numpy
BuildRequires:	python-numpy-devel
BuildRequires:	gcc
BuildRequires:	epydoc
BuildRequires:	pkgconfig(python)
Requires:	python-numpy
Requires:	python-reportlab
Requires:	wise2
Recommends:	ncbi-blast
# don't explicitly require clustalw because it is non-free
Recommends:	clustalw
Provides:	biopython = %{epoch}:%{version}-%{release}
Provides:	python-Bio
Obsoletes:	python-Bio

%description
The Biopython Project is an international association of developers of
freely available Python tools for computational molecular biology.

http://biopython.org provides an online resource for modules,
scripts, and web links for developers of Python-based software for
life science research.

This package provides various Python modules from the Biopython Project 
used to process biological data.

%package	-n python3-biopython
Summary:	The Biopython Project for Python3
Group:		Sciences/Biology
BuildRequires:	pkgconfig(python3)
BuildRequires:	python3-reportlab
BuildRequires:	python3-numpy
BuildRequires:	python3-numpy-devel
Requires:	python3-numpy
Requires:	wise2
Recommends:	ncbi-blast

%description -n python3-biopython
The Biopython Project is an international association of developers of
freely available Python tools for computational molecular biology.

http://biopython.org provides an online resource for modules,
scripts, and web links for developers of Python-based software for
life science research.

This package provides various Python 3 modules from the Biopython Project 
used to process biological data.

%package	tools
Summary:	Regression testing code and miscellaneous standalone scripts
Group:		Sciences/Biology
Requires:	%{name} = %{epoch}:%{version}-%{release}
Recommends:	tkinter, wxPython
Provides:	biopython-tools
Obsoletes:	biopython-tools

%description tools
This package provides various scripts and tests that are comprised by the
Biopython Project.

%package	-n python3-biopython-tools
Summary:	Regression testing code and miscellaneous standalone scripts
Group:		Sciences/Biology
Requires:	python3-biopython = %{epoch}:%{version}-%{release}
Recommends:	python3-tkinter

%description -n python3-biopython-tools
This package provides various scripts and tests that are comprised by the
Biopython Project.

%package	sql
Summary:	Code for using Biopython with BioSQL databases
Requires:	%{name} = %{epoch}:%{version}-%{release}
Group:		Development/Python
Requires:	python-psycopg2
Requires:	python-mysql
Provides:	biopython-biosql = %{epoch}:%{version}-%{release}
Provides:	python-BioSQL
Obsoletes:	python-BioSQL

%description sql
BioSQL is meant to be a common data storage layer supported by all the
different Bio* projects, Bioperl, Biojava, Biopython, and Bioruby.
Entries stored through an application written in, say, Bioperl could
be retrieved by another written in Biojava.

%package	-n python3-biopython-sql
Summary:	Code for using Biopython with BioSQL databases
Requires:	%{name} = %{epoch}:%{version}-%{release}
Group:		Development/Python
Requires:	python3-psycopg2

%description -n python3-biopython-sql
BioSQL is meant to be a common data storage layer supported by all the
different Bio* projects, Bioperl, Biojava, Biopython, and Bioruby.
Entries stored through an application written in, say, Bioperl could
be retrieved by another written in Biojava.

%package	doc
Summary:	The Biopython Project documentation
Group:		Development/Python
Requires:	%{name} = %{epoch}:%{version}-%{release}
Provides:	biopython-doc
Obsoletes:	biopython-doc

%description doc
This package provides the documentation for the various components of the 
Biopython Project.

%prep
%setup -q -n %{oname}-%{version}

# remove Mac-related files
rm -f Tests/CodonUsage/.DS_Store
# remove CVS dirs
find -type d -name CVS | xargs rm -rf 
cp -a . %{py3dir}

%build
pushd %{py3dir}
%{__python3} setup.py build_ext -lm build
popd
%{__python2} setup.py build_ext -lm build

%install
pushd %{py3dir}
%py3_install
mkdir -p %{buildroot}/%_datadir/python3-biopython-%{version} 
cp -r Tests Scripts %{buildroot}/%_datadir/python3-biopython-%{version}
popd
%py2_install

mkdir -p %{buildroot}/%_datadir/%{name}-%{version} 
cp -r Tests Scripts %{buildroot}/%_datadir/%{name}-%{version}

%files
%{python2_sitearch}/Bio
%{python2_sitearch}/*.egg-info
%doc CONTRIB DEPRECATED LICENSE NEWS README

%files sql
%{python2_sitearch}/BioSQL
%doc LICENSE

%files tools
%_datadir/%{name}-%{version}/Tests
%_datadir/%{name}-%{version}/Scripts

%files doc
%doc Doc/*.pdf Doc/examples/

%files -n python3-biopython
%{python3_sitearch}/Bio
%{python3_sitearch}/*.egg-info
%doc CONTRIB DEPRECATED LICENSE NEWS README

%files -n python3-biopython-sql
%{python3_sitearch}/BioSQL
%doc LICENSE

%files -n python3-biopython-tools
%_datadir/python3-biopython-%{version}/Tests
%_datadir/python3-biopython-%{version}/Scripts



%changelog
* Mon Mar 07 2016 philippem <philippem> 1:1.66-3.mga6
+ Revision: 987004
- change requires to wise2

  + umeabot <umeabot>
    - Mageia 6 Mass Rebuild

* Sat Dec 12 2015 philippem <philippem> 1:1.66-1.mga6
+ Revision: 909689
- update to 1.66

* Sun Oct 11 2015 philippem <philippem> 1:1.65-1.mga6
+ Revision: 889663
- update to 1.65

* Sat Oct 10 2015 tv <tv> 1:1.64-5.mga6
+ Revision: 888986
- rebuild for python 3.5

* Wed Oct 15 2014 umeabot <umeabot> 1:1.64-4.mga5
+ Revision: 743570
- Second Mageia 5 Mass Rebuild

* Sat Sep 27 2014 tv <tv> 1:1.64-3.mga5
+ Revision: 728107
- rebuild for missing pythoneggs deps

* Tue Sep 16 2014 umeabot <umeabot> 1:1.64-2.mga5
+ Revision: 687904
- Mageia 5 Mass Rebuild

  + tv <tv>
    - s/uggests:/Recommends:/

* Tue Aug 05 2014 philippem <philippem> 1:1.64-1.mga5
+ Revision: 659978
- update to 1.64

* Sat May 31 2014 pterjan <pterjan> 1:1.63-4.mga5
+ Revision: 629727
- Rebuild for new Python

* Sat May 31 2014 pterjan <pterjan> 1:1.63-3.mga5
+ Revision: 628471
- Rebuild for new Python

* Tue Apr 01 2014 philippem <philippem> 1:1.63-2.mga5
+ Revision: 611194
- remove dependency on python3-mysql that don't exists yet

* Sun Mar 30 2014 philippem <philippem> 1:1.63-1.mga5
+ Revision: 610443
- update to 1.63, add Python 3

* Tue Oct 22 2013 umeabot <umeabot> 1:1.62-3.mga4
+ Revision: 543231
- Mageia 4 Mass Rebuild

* Tue Oct 15 2013 pterjan <pterjan> 1:1.62-2.mga4
+ Revision: 498192
- Rebuild to add different pythonegg provides for python 2 and 3

* Mon Sep 16 2013 philippem <philippem> 1:1.62-1.mga4
+ Revision: 480287
- update to 1.62

* Thu Jul 04 2013 philippem <philippem> 1:1.61-1.mga4
+ Revision: 450202
- Update to 1.61

* Sun Jan 13 2013 umeabot <umeabot> 1:1.60-2.mga3
+ Revision: 378504
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sun Sep 02 2012 philippem <philippem> 1:1.60-1.mga3
+ Revision: 287233
- New upstream release 1.60

* Sat Aug 20 2011 fwang <fwang> 1:1.58-1.mga2
+ Revision: 134498
- new verison 1.58

  + ahmad <ahmad>
    - finalise renaming the package to python-biopython
    - only suggest ncbi-blast, it's optional (according to the README, and the Debian
      biopython package)

* Mon Mar 28 2011 ennael <ennael> 1:1.56-1.mga1
+ Revision: 78433
- fix build (thanks to rtp)
- clean spec file
- imported package biopython

